org.apache.ignite.internal.util.nio

## Class GridNioEmbeddedFuture<R>

- java.lang.Object
- - java.util.concurrent.locks.AbstractOwnableSynchronizer
  - - java.util.concurrent.locks.AbstractQueuedSynchronizer
    - - org.apache.ignite.internal.util.future.GridFutureAdapter<R>
      - - org.apache.ignite.internal.util.nio.GridNioFutureImpl<R>
        - - org.apache.ignite.internal.util.nio.GridNioEmbeddedFuture<R>

All Implemented Interfaces:
  Serializable, IgniteInternalFuture<R>, GridNioFuture<R>

    public class GridNioEmbeddedFuture<R>
    extends GridNioFutureImpl<R>

Future that delegates to some other future.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class java.util.concurrent.locks.AbstractQueuedSynchronizer

`AbstractQueuedSynchronizer.ConditionObject`

### Field Summary

### Fields inherited from class org.apache.ignite.internal.util.nio.GridNioFutureImpl

`ackClosure, msgThread`

### Constructor Summary

Constructors
Constructor and Description
`GridNioEmbeddedFuture()`

### Method Summary

Methods
`void` `onDone(GridNioFuture<R> res)` Callback to notify that future is finished.
`void` `onDone(GridNioFuture<R> delegate, Throwable err)` Callback to notify that future is finished.
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.util.nio.GridNioFutureImpl

`ackClosure, ackClosure, messageThread, messageThread, skipRecovery`

### Methods inherited from class org.apache.ignite.internal.util.future.GridFutureAdapter

`cancel, chain, duration, endTime, error, get, get, get, get0, getUninterruptibly, ignoreInterrupts, isCancelled, isDone, isFailed, listen, onCancelled, onDone, onDone, onDone, onDone, result, startTime, tryAcquireShared, tryReleaseShared`

### Methods inherited from class java.util.concurrent.locks.AbstractQueuedSynchronizer

`acquire, acquireInterruptibly, acquireShared, acquireSharedInterruptibly, compareAndSetState, getExclusiveQueuedThreads, getFirstQueuedThread, getQueuedThreads, getQueueLength, getSharedQueuedThreads, getState, getWaitingThreads, getWaitQueueLength, hasContended, hasQueuedPredecessors, hasQueuedThreads, hasWaiters, isHeldExclusively, isQueued, owns, release, releaseShared, setState, tryAcquire, tryAcquireNanos, tryAcquireSharedNanos, tryRelease`

### Methods inherited from class java.util.concurrent.locks.AbstractOwnableSynchronizer

`getExclusiveOwnerThread, setExclusiveOwnerThread`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.IgniteInternalFuture

`cancel, chain, duration, error, get, get, get, getUninterruptibly, isCancelled, isDone, listen, result, startTime`

### Constructor Detail

#### GridNioEmbeddedFuture

    public GridNioEmbeddedFuture()

### Method Detail

#### onDone

    public final void onDone(GridNioFuture<R> res)

Callback to notify that future is finished. This method must delegate to `onDone(GridNioFuture, Throwable)` method.

Parameters:
  `res` - Result.

#### onDone

    public void onDone(@Nullable
              GridNioFuture<R> delegate,
              @Nullable
              Throwable err)

Callback to notify that future is finished. Note that if non-`null` exception is passed in the result value will be ignored.

Parameters:
  `delegate` - Optional result.
  `err` - Optional error.

#### toString

    public String toString()

Overrides:
  `toString` in class `GridNioFutureImpl<R>`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.4.0
Release Date | : September 24 2015